ActiveMQClient (producer 1.1.0-2.14.0 API)
Date: 2013-05-21

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.producer
Class ActiveMQClient

    java.lang.Object
      org.gcube.messaging.common.producer.ActiveMQClient

All Implemented Interfaces:
  Runnable

    public class ActiveMQClient

extends Object
implements Runnable

JMS Client that sends message to ActiveMQ Broker

Author:
  Andrea Manzi( CERN)

Method Summary
`static ActiveMQClient` | `getSingleton()`
`void` | `run()`
`void` | `sendMessage(org.gcube.common.core.monitoring.GCUBEMessage message, String... selectorType)` Sene Message using the ActiveMQ topicConnection
`void` | `sendMessageToQueue(org.gcube.common.core.monitoring.GCUBEMessage message)` Sends message to a a QUEUE destination
`void` | `setSingleton(ActiveMQClient singleton)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### sendMessage

    public void sendMessage(org.gcube.common.core.monitoring.GCUBEMessage message,
                            String... selectorType)

  Sene Message using the ActiveMQ topicConnection

  Parameters:
    `message` - the GCUBEMessage to send
    `selectorType` - the Selector value (optional)

### sendMessageToQueue

    public void sendMessageToQueue(org.gcube.common.core.monitoring.GCUBEMessage message)

  Sends message to a a QUEUE destination

  Parameters:
    `message` - the GCUBEMessage to send

### getSingleton

    public static ActiveMQClient getSingleton()

### setSingleton

    public void setSingleton(ActiveMQClient singleton)

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.